<!--
-- PermissionPopup.vue, emilien <emilien@emilien-pc>, 2021
-->

<template>
	<RouterLink to="/usage">
		<mt-popup
			v-model="permission"
			class="center-text"
			:modal="false"
			position="bottom"
			pop-transition="popup-fade"
		>
			Surveillance désactivé, réactiver la permission pour mettre à jour votre activité.
		</mt-popup>
	</RouterLink>
</template>

<script>
export default {
	name: 'PermissionPopup',
	computed: {
		permission() {
			return !(this.$store.state.appUsage.permission === 'OK');
		},
	}
};
</script>

<style lang="scss" scoped>
</style>

